########################################################################
# load the letter dataset
########################################################################
letter.all <- read.table("letterCG.data", header=TRUE)
letter.train <- letter.all[1:500,]
letter.test  <- letter.all[-(1:500),]

########################################################################
# load the spam dataset
########################################################################
spam.all <- read.table("spam.data", header=TRUE)
spam.train <- spam.all[1:1000,]
spam.test  <- spam.all[-(1:1000),]

########################################################################
# load the credit dataset
########################################################################
credit.all <- read.table("credit.data", header=TRUE)
credit.train <- credit.all[1:400,]
credit.test  <- credit.all[-(1:400),]

########################################################################
# twonorm
#
# Generates a data frame representing n random examples of the
#"twonorm" problem.
#
########################################################################
twonorm <- function(n) {
  a <- list()
  c <- 2/sqrt(20)
  lab <- rbinom(n, 1, 0.5)
  a[["Class"]] <- paste("c",lab,sep="")
  for(i in 1:20) {
    a[[paste("x",i,sep="")]] <- c(c,-c)[1+lab] + rnorm(n)
  }
  as.data.frame(a)
}

########################################################################
# compute the twonorm dataset
########################################################################
twonorm.train <- twonorm(500)
twonorm.test  <- twonorm(2000)
